Bug 1187491 - golang-googlecode-goprotobuf breaks dependencies
Summary: golang-googlecode-goprotobuf breaks dependencies
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: golang-github-goraft-raft
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1187495
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-30 08:40 UTC by Tuomo Soini
Modified: 2015-02-23 16:10 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-02-08 08:58:08 UTC


Attachments (Terms of Use)

Description Tuomo Soini 2015-01-30 08:40:35 UTC
Description of problem:

package: golang-github-goraft-raft-devel-0-0.3.gite138889.el6.x86_64 from epel-6-64
  unresolved deps: 
     golang(code.google.com/p/goprotobuf)

This dependency is not available on new version golang-googlecode-goprotobuf 0-0.10.git7f07925.el6 which is on epel6 testing

Comment 1 Jan Chaloupka 2015-01-30 08:57:36 UTC
Hi Tuomo,

if you look at https://code.google.com/p/goprotobuf/, they say "This package has moved to GitHub.". Looking at import paths at github, you get:

protobuf-7f07925444bb51fa4cf9dfe6f7661876f8852275]$ go2fed ggi
[...]
github.com/golang/protobuf/proto
github.com/golang/protobuf/protoc-gen-go/descriptor
github.com/golang/protobuf/protoc-gen-go/generator
github.com/golang/protobuf/protoc-gen-go/plugin

So import paths has changed. This is not the only package, that has changed repo and import paths. Looking at the latest github.com/goraft/raft from Dec 19, 2014, they still use code.google.com/p/goprotobuf/proto. They even state the project is unmaintained. https://github.com/goraft/raftd could be its replacement.

Tuomo, what package do you need this dependency for? I could update it and add/update missing/wrong import paths/dependencies.

Kind Regards
Jan

Comment 2 Fedora Update System 2015-01-30 12:47:43 UTC
golang-googlecode-goprotobuf-0-0.11.git7f07925.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.11.git7f07925.fc20

Comment 3 Fedora Update System 2015-01-30 12:48:07 UTC
golang-googlecode-goprotobuf-0-0.11.git7f07925.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.11.git7f07925.fc21

Comment 4 Fedora Update System 2015-01-30 16:13:21 UTC
golang-googlecode-goprotobuf-0-0.11.git7f07925.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.11.git7f07925.el6

Comment 5 Fedora Update System 2015-01-30 23:55:49 UTC
Package golang-googlecode-goprotobuf-0-0.11.git7f07925.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing golang-googlecode-goprotobuf-0-0.11.git7f07925.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1444/golang-googlecode-goprotobuf-0-0.11.git7f07925.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-02-08 00:29:44 UTC
golang-googlecode-goprotobuf-0-0.12.git7f07925.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.12.git7f07925.el6

Comment 7 Fedora Update System 2015-02-08 08:58:08 UTC
golang-googlecode-goprotobuf-0-0.11.git7f07925.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-02-08 08:59:16 UTC
golang-googlecode-goprotobuf-0-0.11.git7f07925.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-02-23 16:10:47 UTC
golang-googlecode-goprotobuf-0-0.12.git7f07925.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.